Bug 968603 - Review Request: nodejs-joosex-namespace-depended - Cross-platform (browser/NodeJS), non-blocking, handling of dependencies
Review Request: nodejs-joosex-namespace-depended - Cross-platform (browser/No...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 968601 968604
Blocks: nodejs-reviews 968605
  Show dependency treegraph
 
Reported: 2013-05-29 18:47 EDT by Jamie Nguyen
Modified: 2014-03-18 06:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 06:49:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jamie Nguyen 2013-05-29 18:47:11 EDT
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodejs-joosex-namespace-depended.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodejs-joosex-namespace-depended-0.18.0-1.fc19.src.rpm
Fedora Account System Username: jamielinux

Description:
Cross-platform (browser/NodeJS), non-blocking, handling of dependencies.
Comment 1 Tom Hughes 2013-08-18 12:20:21 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

[!]: Package complies to the Packaging Guidelines

There is a copy of Depended.mmd file in lib that duplicates what is in
doc so it should be dropped from lib I think.

[!]: License field in the package spec file matches the actual license.

It's actually LGPLv3 not GPLv3. It's odd that README.md says it is
BSD and INSTALL and LICENSE say LGPLv3 though... All the source files
which mention a license (not all of them) seem to say BSD.

[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.

See above...

[!]: %check is present and all tests pass.

I haven't managed to get the tests to run, even after installing the
test-run npm locally. It just complains about Harness not having a
configure method.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Package complies to the Packaging Guidelines
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/tom/968603-nodejs-joosex-namespace-
     depended/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 235520 bytes in 35 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-joosex-namespace-depended-0.18.0-1.fc20.noarch.rpm
nodejs-joosex-namespace-depended.noarch: W: only-non-binary-in-usr-lib
nodejs-joosex-namespace-depended.noarch: W: dangling-symlink /usr/lib/node_modules/joosex-namespace-depended/node_modules/joosex-simplerequest /usr/lib/node_modules/joosex-simplerequest
nodejs-joosex-namespace-depended.noarch: W: dangling-symlink /usr/lib/node_modules/joosex-namespace-depended/node_modules/joose /usr/lib/node_modules/joose
1 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-joosex-namespace-depended
nodejs-joosex-namespace-depended.noarch: W: only-non-binary-in-usr-lib
nodejs-joosex-namespace-depended.noarch: W: dangling-symlink /usr/lib/node_modules/joosex-namespace-depended/node_modules/joosex-simplerequest /usr/lib/node_modules/joosex-simplerequest
nodejs-joosex-namespace-depended.noarch: W: dangling-symlink /usr/lib/node_modules/joosex-namespace-depended/node_modules/joose /usr/lib/node_modules/joose
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-joosex-namespace-depended (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(joose)
    npm(joosex-simplerequest)



Provides
--------
nodejs-joosex-namespace-depended:
    nodejs-joosex-namespace-depended
    npm(joosex-namespace-depended)



Source checksums
----------------
http://registry.npmjs.org/joosex-namespace-depended/-/joosex-namespace-depended-0.18.0.tgz :
  CHECKSUM(SHA256) this package     : d6fb5f0de6f60e2fae2083e809df2d5cfc0b8e876ee17525a7155654e48de525
  CHECKSUM(SHA256) upstream package : d6fb5f0de6f60e2fae2083e809df2d5cfc0b8e876ee17525a7155654e48de525


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: compton-rawhide-x86_64
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 968603
Comment 2 Tom Hughes 2014-01-19 06:35:35 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

[!]: License field in the package spec file matches the actual license.

Presumably the situation here is the same as nodejs-joosex-simplerequest
and both BSD and LGPLv3 are valid, so the license tag just needs
changing from GPLv3 to LGPLV3 and to OR not AND.

[!]: Package complies to the Packaging Guidelines

There is a copy of Depended.mmd file in lib that duplicates what is in
doc so it should be dropped from lib I think.

[!]: %check is present and all tests pass.

I haven't managed to get the tests to run, even after installing the
test-run npm locally. It just complains about Harness not having a
configure method.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/tom/968603-nodejs-joosex-namespace-
     depended/licensecheck.txt
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 235520 bytes in 35 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-joosex-namespace-depended-0.18.0-1.fc21.noarch.rpm
          nodejs-joosex-namespace-depended-0.18.0-1.fc21.src.rpm
nodejs-joosex-namespace-depended.noarch: W: only-non-binary-in-usr-lib
nodejs-joosex-namespace-depended.noarch: W: dangling-symlink /usr/lib/node_modules/joosex-namespace-depended/node_modules/joosex-simplerequest /usr/lib/node_modules/joosex-simplerequest
nodejs-joosex-namespace-depended.noarch: W: dangling-symlink /usr/lib/node_modules/joosex-namespace-depended/node_modules/joose /usr/lib/node_modules/joose
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-joosex-namespace-depended
nodejs-joosex-namespace-depended.noarch: W: only-non-binary-in-usr-lib
nodejs-joosex-namespace-depended.noarch: W: dangling-symlink /usr/lib/node_modules/joosex-namespace-depended/node_modules/joosex-simplerequest /usr/lib/node_modules/joosex-simplerequest
nodejs-joosex-namespace-depended.noarch: W: dangling-symlink /usr/lib/node_modules/joosex-namespace-depended/node_modules/joose /usr/lib/node_modules/joose
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-joosex-namespace-depended (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(joose)
    npm(joosex-simplerequest)



Provides
--------
nodejs-joosex-namespace-depended:
    nodejs-joosex-namespace-depended
    npm(joosex-namespace-depended)



Source checksums
----------------
http://registry.npmjs.org/joosex-namespace-depended/-/joosex-namespace-depended-0.18.0.tgz :
  CHECKSUM(SHA256) this package     : d6fb5f0de6f60e2fae2083e809df2d5cfc0b8e876ee17525a7155654e48de525
  CHECKSUM(SHA256) upstream package : d6fb5f0de6f60e2fae2083e809df2d5cfc0b8e876ee17525a7155654e48de525


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 968603
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Jamie Nguyen 2014-02-23 07:29:05 EST
Spec URL: http://jamielinux.fedorapeople.org/nodeunit/nodejs-joosex-namespace-depended.spec
SRPM URL: http://jamielinux.fedorapeople.org/nodeunit/SRPMS/nodejs-joosex-namespace-depended-0.18.0-2.fc21.src.rpm

* Sun Feb 23 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.18.0-2
- fix License tag
- remove duplicate file


I tried hacking around for a while to get Harness but no luck yet. I would guess that test-run isn't really meant for use on recent versions of node (since last update was 3 years ago, and author has also deleted the github repository it used to be in).
Comment 4 Tom Hughes 2014-02-23 07:40:55 EST
Looks good. Package approved.
Comment 5 Jamie Nguyen 2014-02-23 07:59:48 EST
New Package SCM Request
=======================
Package Name: nodejs-joosex-namespace-depended
Short Description: Cross-platform (browser/NodeJS), non-blocking, handling of dependencies
Owners: jamielinux patches
Branches: f19 f20 el6 epel7
InitialCC:
Comment 6 Jamie Nguyen 2014-03-15 12:42:37 EDT
New Package SCM Request
=======================
Package Name: nodejs-joosex-namespace-depended
Short Description: Cross-platform (browser/NodeJS), non-blocking, handling of dependencies
Owners: jamielinux patches
Branches: f19 f20 el6
InitialCC:
Comment 7 Gwyn Ciesla 2014-03-17 07:46:54 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.